<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.izouma.awesomeadmin.dao.ArContentMapper">
    <resultMap id="BaseResultMap" type="com.izouma.awesomeadmin.model.ArContent">
        <id column="id" property="id" jdbcType="INTEGER"/>
        <result column="del_flag" property="delFlag" jdbcType="CHAR"/>
        <result column="update_time" property="updateTime" jdbcType="TIMESTAMP"/>
        <result column="update_user" property="updateUser" jdbcType="VARCHAR"/>
        <result column="create_time" property="createTime" jdbcType="TIMESTAMP"/>
        <result column="create_user" property="createUser" jdbcType="VARCHAR"/>
        <result column="group_id" property="groupId" jdbcType="VARCHAR"/>
        <result column="name" property="name" jdbcType="VARCHAR"/>
        <result column="type" property="type" jdbcType="VARCHAR"/>
        <result column="text" property="text" jdbcType="VARCHAR"/>
        <result column="image" property="image" jdbcType="VARCHAR"/>
        <result column="url" property="url" jdbcType="VARCHAR"/>
        <result column="voice" property="voice" jdbcType="VARCHAR"/>
        <result column="movie" property="movie" jdbcType="VARCHAR"/>
        <result column="model" property="model" jdbcType="VARCHAR"/>
        <result column="cfile" property="cfile" jdbcType="VARCHAR"/>
        <result column="resource_size" property="resourceSize" jdbcType="VARCHAR"/>
        <result column="remark1" property="remark1" jdbcType="VARCHAR"/>
        <result column="remark2" property="remark2" jdbcType="VARCHAR"/>
        <result column="remark3" property="remark3" jdbcType="VARCHAR"/>
        <result column="remark4" property="remark4" jdbcType="VARCHAR"/>
        <result column="remark5" property="remark5" jdbcType="VARCHAR"/>
        <result column="remark6" property="remark6" jdbcType="VARCHAR"/>
        <result column="remark7" property="remark7" jdbcType="VARCHAR"/>
        <result column="remark8" property="remark8" jdbcType="VARCHAR"/>
        <result column="remark9" property="remark9" jdbcType="VARCHAR"/>
        <result column="remark10" property="remark10" jdbcType="VARCHAR"/>
        <result column="area_id" property="areaId" jdbcType="VARCHAR"/>
        <result column="thing_id" property="thingId" jdbcType="VARCHAR"/>
        <result column="aim_group_id" property="aimGroupId" jdbcType="VARCHAR"/>
        <result column="template_id" property="templateId" jdbcType="VARCHAR"/>
        <result column="template_aim_id" property="templateAimId" jdbcType="VARCHAR"/>
        <result column="activation_mode" property="activationMode" jdbcType="VARCHAR"/>
        <result column="aimPlaceId" property="aimPlaceId" jdbcType="VARCHAR"/>
        <result column="template_ar_id" property="templateArId" jdbcType="VARCHAR"/>
        <result column="modify_flag" property="modifyFlag" jdbcType="CHAR"/>
    </resultMap>
    <sql id="Base_Column_List">
        <trim suffixOverrides=",">
            id,

            del_flag,

            update_time,

            update_user,

            create_time,

            create_user,

            group_id,

            name,

            type,

            text,

            image,

            url,

            voice,

            movie,

            model,

            cfile,

            resource_size,

            remark1,

            remark2,

            remark3,

            remark4,

            remark5,

            remark6,
            remark7,
            remark8,
            remark9,
            remark10,
            area_id,
            thing_id,
            aim_group_id,
            template_id,
            template_aim_id,
            activation_mode,
            aim_place_id,
            template_ar_id,
            modify_flag,

        </trim>
    </sql>
    <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Integer">
        select
        <include refid="Base_Column_List"/>
        from ar_content
        where id = #{id,jdbcType=INTEGER}
    </select>
    <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
        delete from ar_content
        where id = #{id,jdbcType=INTEGER}
    </delete>
    <insert id="insertSelective" parameterType="com.izouma.awesomeadmin.model.ArContent" useGeneratedKeys="true"
            keyProperty="id">
        insert into ar_content
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id!= null">
                id,
            </if>
            <if test="delFlag!= null">
                del_flag,
            </if>
            <if test="updateTime!= null">
                update_time,
            </if>
            <if test="updateUser!= null">
                update_user,
            </if>
            <if test="createTime!= null">
                create_time,
            </if>
            <if test="createUser!= null">
                create_user,
            </if>
            <if test="groupId!= null">
                group_id,
            </if>
            <if test="name!= null">
                name,
            </if>
            <if test="type!= null">
                type,
            </if>
            <if test="text!= null">
                text,
            </if>
            <if test="image!= null">
                image,
            </if>
            <if test="url!= null">
                url,
            </if>
            <if test="voice!= null">
                voice,
            </if>
            <if test="movie!= null">
                movie,
            </if>
            <if test="model!= null">
                model,
            </if>
            <if test="cfile!= null">
                cfile,
            </if>
            <if test="resourceSize!= null">
                resource_size,
            </if>
            <if test="remark1!= null">
                remark1,
            </if>
            <if test="remark2!= null">
                remark2,
            </if>
            <if test="remark3!= null">
                remark3,
            </if>
            <if test="remark4!= null">
                remark4,
            </if>
            <if test="remark5!= null">
                remark5,
            </if>
            <if test="remark6!= null">
                remark6,
            </if>
            <if test="remark7!= null">
                remark7,
            </if>
            <if test="remark8!= null">
                remark8,
            </if>
            <if test="remark9!= null">
                remark9,
            </if>
            <if test="remark10!= null">
                remark10,
            </if>
            <if test="areaId!= null">
                area_id,
            </if>
            <if test="thingId!= null">
                thing_id,
            </if>
            <if test="aimGroupId!= null">
                aim_group_id,
            </if>
            <if test="templateId!= null">
                template_id,
            </if>
            <if test="templateAimId!= null">
                template_aim_id,
            </if>
            <if test="activationMode!= null">
                activation_mode,
            </if>
            <if test="aimPlaceId!= null">
                aim_place_id,
            </if>
            <if test="templateArId!= null">
                template_ar_id,
            </if>
            <if test="modifyFlag!= null">
                modify_flag,
            </if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">
                #{id,jdbcType=INTEGER},
            </if>
            <if test="delFlag != null">
                #{delFlag,jdbcType=CHAR},
            </if>
            <if test="updateTime != null">
                #{updateTime,jdbcType=TIMESTAMP},
            </if>
            <if test="updateUser != null">
                #{updateUser,jdbcType=VARCHAR},
            </if>
            <if test="createTime != null">
                #{createTime,jdbcType=TIMESTAMP},
            </if>
            <if test="createUser != null">
                #{createUser,jdbcType=VARCHAR},
            </if>
            <if test="groupId != null">
                #{groupId,jdbcType=VARCHAR},
            </if>
            <if test="name != null">
                #{name,jdbcType=VARCHAR},
            </if>
            <if test="type != null">
                #{type,jdbcType=VARCHAR},
            </if>
            <if test="text != null">
                #{text,jdbcType=VARCHAR},
            </if>
            <if test="image != null">
                #{image,jdbcType=VARCHAR},
            </if>
            <if test="url != null">
                #{url,jdbcType=VARCHAR},
            </if>
            <if test="voice != null">
                #{voice,jdbcType=VARCHAR},
            </if>
            <if test="movie != null">
                #{movie,jdbcType=VARCHAR},
            </if>
            <if test="model != null">
                #{model,jdbcType=VARCHAR},
            </if>
            <if test="cfile != null">
                #{cfile,jdbcType=VARCHAR},
            </if>
            <if test="resourceSize != null">
                #{resourceSize,jdbcType=VARCHAR},
            </if>
            <if test="remark1 != null">
                #{remark1,jdbcType=VARCHAR},
            </if>
            <if test="remark2 != null">
                #{remark2,jdbcType=VARCHAR},
            </if>
            <if test="remark3 != null">
                #{remark3,jdbcType=VARCHAR},
            </if>
            <if test="remark4 != null">
                #{remark4,jdbcType=VARCHAR},
            </if>
            <if test="remark5 != null">
                #{remark5,jdbcType=VARCHAR},
            </if>
            <if test="remark6 != null">
                #{remark6,jdbcType=VARCHAR},
            </if>
            <if test="remark7 != null">
                #{remark7,jdbcType=VARCHAR},
            </if>
            <if test="remark8 != null">
                #{remark8,jdbcType=VARCHAR},
            </if>
            <if test="remark9 != null">
                #{remark9,jdbcType=VARCHAR},
            </if>
            <if test="remark10 != null">
                #{remark10,jdbcType=VARCHAR},
            </if>
            <if test="areaId != null">
                #{areaId,jdbcType=VARCHAR},
            </if>
            <if test="thingId != null">
                #{thingId,jdbcType=VARCHAR},
            </if>
            <if test="aimGroupId != null">
                #{aimGroupId,jdbcType=VARCHAR},
            </if>
            <if test="templateId != null">
                #{templateId,jdbcType=VARCHAR},
            </if>
            <if test="templateAimId != null">
                #{templateAimId,jdbcType=VARCHAR},
            </if>
            <if test="activationMode != null">
                #{activationMode,jdbcType=VARCHAR},
            </if>
            <if test="aimPlaceId != null">
                #{aimPlaceId,jdbcType=VARCHAR},
            </if>
            <if test="templateArId != null">
                #{templateArId,jdbcType=VARCHAR},
            </if>
            <if test="modifyFlag != null">
                #{modifyFlag,jdbcType=CHAR},
            </if>
        </trim>
    </insert>
    <update id="updateByPrimaryKeySelective" parameterType="com.izouma.awesomeadmin.model.ArContent">
        update ar_content
        <set>
            <if test="id != null">
                id= #{id,jdbcType=INTEGER},
            </if>
            <if test="delFlag != null">
                del_flag= #{delFlag,jdbcType=CHAR},
            </if>
            <if test="updateTime != null">
                update_time= #{updateTime,jdbcType=TIMESTAMP},
            </if>
            <if test="updateUser != null">
                update_user= #{updateUser,jdbcType=VARCHAR},
            </if>
            <if test="createTime != null">
                create_time= #{createTime,jdbcType=TIMESTAMP},
            </if>
            <if test="createUser != null">
                create_user= #{createUser,jdbcType=VARCHAR},
            </if>
            <if test="groupId != null">
                group_id= #{groupId,jdbcType=VARCHAR},
            </if>
            <if test="name != null">
                name= #{name,jdbcType=VARCHAR},
            </if>
            <if test="type != null">
                type= #{type,jdbcType=VARCHAR},
            </if>
            <if test="text != null">
                text= #{text,jdbcType=VARCHAR},
            </if>
            <if test="image != null">
                image= #{image,jdbcType=VARCHAR},
            </if>
            <if test="url != null">
                url= #{url,jdbcType=VARCHAR},
            </if>
            <if test="voice != null">
                voice= #{voice,jdbcType=VARCHAR},
            </if>
            <if test="movie != null">
                movie= #{movie,jdbcType=VARCHAR},
            </if>
            <if test="model != null">
                model= #{model,jdbcType=VARCHAR},
            </if>
            <if test="cfile != null">
                cfile= #{cfile,jdbcType=VARCHAR},
            </if>
            <if test="resourceSize != null">
                resource_size= #{resourceSize,jdbcType=VARCHAR},
            </if>
            <if test="remark1 != null">
                remark1= #{remark1,jdbcType=VARCHAR},
            </if>
            <if test="remark2 != null">
                remark2= #{remark2,jdbcType=VARCHAR},
            </if>
            <if test="remark3 != null">
                remark3= #{remark3,jdbcType=VARCHAR},
            </if>
            <if test="remark4 != null">
                remark4= #{remark4,jdbcType=VARCHAR},
            </if>
            <if test="remark5 != null">
                remark5= #{remark5,jdbcType=VARCHAR},
            </if>
            <if test="remark6 != null">
                remark6= #{remark6,jdbcType=VARCHAR},
            </if>
            <if test="remark7 != null">
                remark7= #{remark7,jdbcType=VARCHAR},
            </if>
            <if test="remark8 != null">
                remark8= #{remark8,jdbcType=VARCHAR},
            </if>
            <if test="remark9 != null">
                remark9= #{remark9,jdbcType=VARCHAR},
            </if>
            <if test="remark10 != null">
                remark10= #{remark10,jdbcType=VARCHAR},
            </if>
            <if test="areaId != null">
                area_id= #{areaId,jdbcType=VARCHAR},
            </if>
            <if test="thingId != null">
                thing_id= #{thingId,jdbcType=VARCHAR},
            </if>
            <if test="aimGroupId != null">
                aim_group_id= #{aimGroupId,jdbcType=VARCHAR},
            </if>
            <if test="templateId != null">
                template_id= #{templateId,jdbcType=VARCHAR},
            </if>
            <if test="templateAimId != null">
                template_aim_id = #{templateAimId,jdbcType=VARCHAR},
            </if>
            <if test="activationMode != null">
                activation_mode= #{activationMode,jdbcType=VARCHAR},
            </if>
            <if test="aimPlaceId != null">
                aim_place_id= #{aimPlaceId,jdbcType=VARCHAR},
            </if>
            <if test="templateArId != null">
                template_ar_id= #{templateArId,jdbcType=VARCHAR},
            </if>
            <if test="modifyFlag != null">
                modify_flag= #{modifyFlag,jdbcType=CHAR},
            </if>
        </set>
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>

    </update>
    <select id="queryArContentByPage" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.ArContent">
        select
        <include refid="Base_Column_List"/>
        from ar_content
        <where>
            and del_flag = 'N'
            <if test="record.idStr != null and !&quot;&quot;.equals(record.idStr)">
                and id in (${record.idStr})
            </if>
            <if test="record.id != null and !&quot;&quot;.equals(record.id)">
                and id = #{record.id}
            </if>
            <if test="record.delFlag != null and !&quot;&quot;.equals(record.delFlag)">
                and del_flag = #{record.delFlag}
            </if>
            <if test="record.updateTime != null and !&quot;&quot;.equals(record.updateTime)">
                and update_time = #{record.updateTime}
            </if>
            <if test="record.updateUser != null and !&quot;&quot;.equals(record.updateUser)">
                and update_user = #{record.updateUser}
            </if>
            <if test="record.createTime != null and !&quot;&quot;.equals(record.createTime)">
                and create_time = #{record.createTime}
            </if>
            <if test="record.createUser != null and !&quot;&quot;.equals(record.createUser)">
                and create_user = #{record.createUser}
            </if>
            <if test="record.groupId != null and !&quot;&quot;.equals(record.groupId)">
                and group_id = #{record.groupId}
            </if>
            <if test="record.name != null and !&quot;&quot;.equals(record.name)">
                and name = #{record.name}
            </if>
            <if test="record.type != null and !&quot;&quot;.equals(record.type)">
                and type = #{record.type}
            </if>
            <if test="record.text != null and !&quot;&quot;.equals(record.text)">
                and text = #{record.text}
            </if>
            <if test="record.image != null and !&quot;&quot;.equals(record.image)">
                and image = #{record.image}
            </if>
            <if test="record.url != null and !&quot;&quot;.equals(record.url)">
                and url = #{record.url}
            </if>
            <if test="record.voice != null and !&quot;&quot;.equals(record.voice)">
                and voice = #{record.voice}
            </if>
            <if test="record.movie != null and !&quot;&quot;.equals(record.movie)">
                and movie = #{record.movie}
            </if>
            <if test="record.model != null and !&quot;&quot;.equals(record.model)">
                and model = #{record.model}
            </if>
            <if test="record.cfile != null and !&quot;&quot;.equals(record.cfile)">
                and cfile = #{record.cfile}
            </if>
            <if test="record.resourceSize != null and !&quot;&quot;.equals(record.resourceSize)">
                and resource_size = #{record.resourceSize}
            </if>
            <if test="record.remark1 != null and !&quot;&quot;.equals(record.remark1)">
                and remark1 = #{record.remark1}
            </if>
            <if test="record.remark2 != null and !&quot;&quot;.equals(record.remark2)">
                and remark2 = #{record.remark2}
            </if>
            <if test="record.remark3 != null and !&quot;&quot;.equals(record.remark3)">
                and remark3 = #{record.remark3}
            </if>
            <if test="record.remark4 != null and !&quot;&quot;.equals(record.remark4)">
                and remark4 = #{record.remark4}
            </if>
            <if test="record.remark5 != null and !&quot;&quot;.equals(record.remark5)">
                and remark5 = #{record.remark5}
            </if>
            <if test="record.remark6 != null and !&quot;&quot;.equals(record.remark6)">
                and remark6 = #{record.remark6}
            </if>
            <if test="record.areaId != null and !&quot;&quot;.equals(record.areaId)">
                and area_id = #{record.areaId}
            </if>
            <if test="record.thingId != null and !&quot;&quot;.equals(record.thingId)">
                and thing_id = #{record.thingId}
            </if>
            <if test="record.aimGroupId != null and !&quot;&quot;.equals(record.aimGroupId)">
                and aim_group_id = #{record.aimGroupId}
            </if>
            <if test="record.templateId != null and !&quot;&quot;.equals(record.templateId)">
                and template_id = #{record.templateId}
            </if>
            <if test="record.templateAimId != null and !&quot;&quot;.equals(record.templateAimId)">
                and template_aim_id = #{record.templateAimId}
            </if>
            <if test="record.activationMode != null and !&quot;&quot;.equals(record.activationMode)">
                and activation_mode = #{record.activationMode}
            </if>
            <if test="record.aimPlaceId != null and !&quot;&quot;.equals(record.aimPlaceId)">
                and aim_place_id = #{record.aimPlaceId}
            </if>
            <if test="record.templateArId != null and !&quot;&quot;.equals(record.templateArId)">
                and template_ar_id = #{record.templateArId}
            </if>
            <if test="record.searchKey != null and !&quot;&quot;.equals(record.searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR group_id LIKE concat('%',#{record.searchKey},'%')
                    OR name LIKE concat('%',#{record.searchKey},'%')
                    OR type LIKE concat('%',#{record.searchKey},'%')
                    OR text LIKE concat('%',#{record.searchKey},'%')
                    OR image LIKE concat('%',#{record.searchKey},'%')
                    OR url LIKE concat('%',#{record.searchKey},'%')
                    OR voice LIKE concat('%',#{record.searchKey},'%')
                    OR movie LIKE concat('%',#{record.searchKey},'%')
                    OR model LIKE concat('%',#{record.searchKey},'%')
                    OR cfile LIKE concat('%',#{record.searchKey},'%')
                    OR resource_size LIKE concat('%',#{record.searchKey},'%')
                    OR remark1 LIKE concat('%',#{record.searchKey},'%')
                    OR remark2 LIKE concat('%',#{record.searchKey},'%')
                    OR remark3 LIKE concat('%',#{record.searchKey},'%')
                    OR remark4 LIKE concat('%',#{record.searchKey},'%')
                    OR remark5 LIKE concat('%',#{record.searchKey},'%')
                    OR remark6 LIKE concat('%',#{record.searchKey},'%')
                </trim>
            </if>

            <if test="record.advancedQuery != null and !&quot;&quot;.equals(record.advancedQuery)">
                <foreach item="item" index="index" collection="record.advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>

        </where>
        order by

        <if test="record.orderByStr != null and !&quot;&quot;.equals(record.orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="record.orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>
        id desc
    </select>
    <select id="queryAllArContent" parameterType="java.util.Map" resultMap="ArContentChildResultMap">
        select
        <include refid="Base_Column_List"/>
        from ar_content
        <where>
            and del_flag = 'N'
            <if test="idStr != null and !&quot;&quot;.equals(idStr)">
                and id in (${idStr})
            </if>
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="groupId != null and !&quot;&quot;.equals(groupId)">
                and group_id = #{groupId}
            </if>
            <if test="name != null and !&quot;&quot;.equals(name)">
                and name = #{name}
            </if>
            <if test="type != null and !&quot;&quot;.equals(type)">
                and type = #{type}
            </if>
            <if test="text != null and !&quot;&quot;.equals(text)">
                and text = #{text}
            </if>
            <if test="image != null and !&quot;&quot;.equals(image)">
                and image = #{image}
            </if>
            <if test="url != null and !&quot;&quot;.equals(url)">
                and url = #{url}
            </if>
            <if test="voice != null and !&quot;&quot;.equals(voice)">
                and voice = #{voice}
            </if>
            <if test="movie != null and !&quot;&quot;.equals(movie)">
                and movie = #{movie}
            </if>
            <if test="model != null and !&quot;&quot;.equals(model)">
                and model = #{model}
            </if>
            <if test="cfile != null and !&quot;&quot;.equals(cfile)">
                and cfile = #{cfile}
            </if>
            <if test="resourceSize != null and !&quot;&quot;.equals(resourceSize)">
                and resource_size = #{resourceSize}
            </if>
            <if test="remark1 != null and !&quot;&quot;.equals(remark1)">
                and remark1 = #{remark1}
            </if>
            <if test="remark2 != null and !&quot;&quot;.equals(remark2)">
                and remark2 = #{remark2}
            </if>
            <if test="remark3 != null and !&quot;&quot;.equals(remark3)">
                and remark3 = #{remark3}
            </if>
            <if test="remark4 != null and !&quot;&quot;.equals(remark4)">
                and remark4 = #{remark4}
            </if>
            <if test="remark5 != null and !&quot;&quot;.equals(remark5)">
                and remark5 = #{remark5}
            </if>
            <if test="remark6 != null and !&quot;&quot;.equals(remark6)">
                and remark6 = #{remark6}
            </if>
            <if test="areaId != null and !&quot;&quot;.equals(areaId)">
                and area_id = #{areaId}
            </if>
            <if test="thingId != null and !&quot;&quot;.equals(thingId)">
                and thing_id = #{thingId}
            </if>
            <if test="aimGroupId != null and !&quot;&quot;.equals(aimGroupId)">
                and aim_group_id = #{aimGroupId}
            </if>
            <if test="templateId != null and !&quot;&quot;.equals(templateId)">
                and template_id = #{templateId}
            </if>
            <if test="templateAimId != null and !&quot;&quot;.equals(templateAimId)">
                and template_aim_id = #{templateAimId}
            </if>
            <if test="activationMode != null and !&quot;&quot;.equals(activationMode)">
                and activation_mode = #{activationMode}
            </if>
            <if test="aimPlaceId != null and !&quot;&quot;.equals(aimPlaceId)">
                and aim_place_id = #{aimPlaceId}
            </if>
            <if test="templateArId != null and !&quot;&quot;.equals(templateArId)">
                and template_ar_id = #{templateArId}
            </if>
            <if test="searchKey != null and !&quot;&quot;.equals(searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR group_id LIKE concat('%',#{searchKey},'%')
                    OR name LIKE concat('%',#{searchKey},'%')
                    OR type LIKE concat('%',#{searchKey},'%')
                    OR text LIKE concat('%',#{searchKey},'%')
                    OR image LIKE concat('%',#{searchKey},'%')
                    OR url LIKE concat('%',#{searchKey},'%')
                    OR voice LIKE concat('%',#{searchKey},'%')
                    OR movie LIKE concat('%',#{searchKey},'%')
                    OR model LIKE concat('%',#{searchKey},'%')
                    OR cfile LIKE concat('%',#{searchKey},'%')
                    OR resource_size LIKE concat('%',#{searchKey},'%')
                    OR remark1 LIKE concat('%',#{searchKey},'%')
                    OR remark2 LIKE concat('%',#{searchKey},'%')
                    OR remark3 LIKE concat('%',#{searchKey},'%')
                    OR remark4 LIKE concat('%',#{searchKey},'%')
                    OR remark5 LIKE concat('%',#{searchKey},'%')
                    OR remark6 LIKE concat('%',#{searchKey},'%')
                </trim>
            </if>
            <if test="advancedQuery != null and !&quot;&quot;.equals(advancedQuery)">
                <foreach item="item" index="index" collection="advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>
        </where>
        order by

        <if test="orderByStr != null and !&quot;&quot;.equals(orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>

        id desc
    </select>
    <select id="queryArContent" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.ArContent">
        select
        <include refid="Base_Column_List"/>
        from ar_content
        <where>
            and del_flag = 'N'
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="groupId != null and !&quot;&quot;.equals(groupId)">
                and group_id = #{groupId}
            </if>
            <if test="name != null and !&quot;&quot;.equals(name)">
                and name = #{name}
            </if>
            <if test="type != null and !&quot;&quot;.equals(type)">
                and type = #{type}
            </if>
            <if test="text != null and !&quot;&quot;.equals(text)">
                and text = #{text}
            </if>
            <if test="image != null and !&quot;&quot;.equals(image)">
                and image = #{image}
            </if>
            <if test="url != null and !&quot;&quot;.equals(url)">
                and url = #{url}
            </if>
            <if test="voice != null and !&quot;&quot;.equals(voice)">
                and voice = #{voice}
            </if>
            <if test="movie != null and !&quot;&quot;.equals(movie)">
                and movie = #{movie}
            </if>
            <if test="model != null and !&quot;&quot;.equals(model)">
                and model = #{model}
            </if>
            <if test="cfile != null and !&quot;&quot;.equals(cfile)">
                and cfile = #{cfile}
            </if>
            <if test="resourceSize != null and !&quot;&quot;.equals(resourceSize)">
                and resource_size = #{resourceSize}
            </if>
            <if test="remark1 != null and !&quot;&quot;.equals(remark1)">
                and remark1 = #{remark1}
            </if>
            <if test="remark2 != null and !&quot;&quot;.equals(remark2)">
                and remark2 = #{remark2}
            </if>
            <if test="remark3 != null and !&quot;&quot;.equals(remark3)">
                and remark3 = #{remark3}
            </if>
            <if test="remark4 != null and !&quot;&quot;.equals(remark4)">
                and remark4 = #{remark4}
            </if>
            <if test="remark5 != null and !&quot;&quot;.equals(remark5)">
                and remark5 = #{remark5}
            </if>
            <if test="remark6 != null and !&quot;&quot;.equals(remark6)">
                and remark6 = #{remark6}
            </if>
            <if test="areaId != null and !&quot;&quot;.equals(areaId)">
                and area_id = #{areaId}
            </if>
            <if test="thingId != null and !&quot;&quot;.equals(thingId)">
                and thing_id = #{thingId}
            </if>
            <if test="aimGroupId != null and !&quot;&quot;.equals(aimGroupId)">
                and aim_group_id = #{aimGroupId}
            </if>
            <if test="templateId != null and !&quot;&quot;.equals(templateId)">
                and template_id = #{templateId}
            </if>
            <if test="templateAimId != null and !&quot;&quot;.equals(templateAimId)">
                and template_aim_id = #{templateAimId}
            </if>
            <if test="activationMode != null and !&quot;&quot;.equals(activationMode)">
                and activation_mode = #{activationMode}
            </if>
            <if test="aimPlaceId != null and !&quot;&quot;.equals(aimPlaceId)">
                and aim_place_id = #{aimPlaceId}
            </if>
            <if test="templateArId != null and !&quot;&quot;.equals(templateArId)">
                and template_ar_id = #{templateArId}
            </if>

        </where>
        LIMIT 1
    </select>
    <update id="delete">
        UPDATE ar_content SET del_flag = 'Y'
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>
    </update>
    <select id="query" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.ArContent">
        select
        <include refid="Base_Column_List"/>
        from ar_content
        <where>
            and del_flag = 'N'
        </where>
        order by id desc
    </select>

    <resultMap id="ArContentChildResultMap" type="com.izouma.awesomeadmin.model.ArContent" extends="BaseResultMap">


        <collection property="arContentChildList" ofType="com.izouma.awesomeadmin.model.ArContentChild"
                    select="com.izouma.awesomeadmin.dao.ArContentChildMapper.queryAllArContentChild"
                    column="{arContentId = id}">
        </collection>
    </resultMap>

</mapper>

